Page MenuHomePhabricator

1.35.0-wmf.11 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.11
Release Date
1576454400
Backup Conductor
jeena
Related Gerrit Patches:
operations/mediawiki-config : masterRevert "train: Rolling Wikitech back to 1.35.0-wmf.10"
operations/mediawiki-config : mastertrain: Roll Commons forward to 1.35.0-wmf.11 again
operations/mediawiki-config : mastertrain: Rolling Commons back to 1.35.0-wmf.10
operations/mediawiki-config : mastertrain: Rolling Wikitech back to 1.35.0-wmf.10

2019 week 51 1.35-wmf.11 Changes wmf/1.35.0-wmf.11

This MediaWiki Train Deployment is scheduled for the week of Monday, December 16th:

Monday December 16thTuesday, December 17thWednesday, December 18thThursday, December 19thFriday
SWAT deployments only.Branch wmf.11 and deploy to Group 0 Wikis.Deploy wmf.11 to Group 1 Wikis.Deploy wmf.11 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.11 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.10
Next: 1.35.0-wmf.12

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
mmodell updated Backup Conductor, added: jeena.Dec 11 2019, 3:09 AM

Mentioned in SAL (#wikimedia-operations) [2019-12-17T12:41:16Z] <James_F> Running scap clean for wmf.8 T233859

Mentioned in SAL (#wikimedia-operations) [2019-12-17T12:58:00Z] <jforrester@deploy1001> Started scap: testwiki to php-1.35.0-wmf.11 and rebuild l10n cache T233859

Mentioned in SAL (#wikimedia-operations) [2019-12-17T13:34:46Z] <jforrester@deploy1001> Finished scap: testwiki to php-1.35.0-wmf.11 and rebuild l10n cache T233859 (duration: 36m 46s)

Mentioned in SAL (#wikimedia-operations) [2019-12-17T13:39:55Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: group0 to 1.35.0-wmf.11 T233859

Xiplus added a subscriber: Xiplus.Dec 18 2019, 1:43 AM

Change 559043 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] train: Rolling Commons back to 1.35.0-wmf.10

https://gerrit.wikimedia.org/r/559043

Change 559043 merged by jenkins-bot:
[operations/mediawiki-config@master] train: Rolling Commons back to 1.35.0-wmf.10

https://gerrit.wikimedia.org/r/559043

Mentioned in SAL (#wikimedia-operations) [2019-12-18T13:11:33Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: train: Rolling Commons back to 1.35.0-wmf.10 T233859

Change 559052 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] train: Rolling Wikitech back to 1.35.0-wmf.10

https://gerrit.wikimedia.org/r/559052

Change 559052 merged by jenkins-bot:
[operations/mediawiki-config@master] train: Rolling Wikitech back to 1.35.0-wmf.10

https://gerrit.wikimedia.org/r/559052

Mentioned in SAL (#wikimedia-operations) [2019-12-18T13:30:46Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: train: Rolling Wikitech back to 1.35.0-wmf.10 T233859

Change 559089 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] train: Roll Commons forward to 1.35.0-wmf.11 again

https://gerrit.wikimedia.org/r/559089

Change 559089 merged by jenkins-bot:
[operations/mediawiki-config@master] train: Roll Commons forward to 1.35.0-wmf.11 again

https://gerrit.wikimedia.org/r/559089

Mentioned in SAL (#wikimedia-operations) [2019-12-18T14:49:54Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: train: Rolling Commons foward to 1.35.0-wmf.11 T233859 T241057

Change 559112 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Revert "train: Rolling Wikitech back to 1.35.0-wmf.10"

https://gerrit.wikimedia.org/r/559112

Change 559112 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "train: Rolling Wikitech back to 1.35.0-wmf.10"

https://gerrit.wikimedia.org/r/559112

Mentioned in SAL (#wikimedia-operations) [2019-12-18T15:58:45Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: train: Rolling Wikitech foward to 1.35.0-wmf.11 T233859 T241059

Jdforrester-WMF closed this task as Resolved.Dec 19 2019, 1:25 PM

Fully deployed.